Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteConfigService

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigService

extends java.rmi.Remote

Method Summary
`RemoteConfigurationAdhocUpload` | `getConfigurationAdhocUpload()` Gets the configuration for Adhoc uploading.
`RemoteConfigurationAdvanced` | `getConfigurationAdvanced()` Gets the advanced configuration.
`RemoteConfigurationCache` | `getConfigurationCache()` Gets the cache configuration.
`RemoteConfigurationCluster` | `getConfigurationCluster()` Gets the configuration for cluster.
`RemoteConfigurationFax` | `getConfigurationFax()` Gets the configuration for Fax.
`RemoteConfigurationGeoMap` | `getConfigurationGeoMap()` Gets the configuration for geography map.
`RemoteConfigurationLDAP` | `getConfigurationLDAP()` Gets the LDAP state configuration.
`RemoteConfigurationLDAPServer` | `getConfigurationLDAPServer()` Gets the LDAP Server configuration.
`RemoteConfigurationLog` | `getConfigurationLog()` Gets the logo configuration.
`RemoteConfigurationMail` | `getConfigurationMail()` Gets the e-mail configuration.
`RemoteConfigurationPerformance` | `getConfigurationPerformance()` Gets the performance configuration.
`RemoteConfigurationPrecisionMapping` | `getConfigurationPrecisionMapping()` Gets the configuration for precision mapping.
`RemoteConfigurationRMI` | `getConfigurationRMI()` Gets the configuration for RMI server.
`RemoteConfigurationService` | `getConfigurationService()` Gets the service configuration.
`RemoteCustomFieldManager` | `getCustomFieldManager()` Gets the custom field manager.
`RemoteOrgConfiguration` | `getOrgConfiguration(java.lang.String orgName)` Get organization configuration.
`boolean` | `isLocalRequest(java.lang.String sURL)` Checks if the request's URL comes from local host.

Method Detail

### isLocalRequest

    boolean isLocalRequest(java.lang.String sURL)
                           throws java.rmi.RemoteException

  Checks if the request's URL comes from local host.

  Parameters:
    `sURL` - the url of the request.
  Returns:
    boolean returns true if the url comes from local, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getConfigurationService

    RemoteConfigurationService getConfigurationService()
                                                       throws java.rmi.RemoteException

  Gets the service configuration.

  Returns:
    RemoteConfigurationService
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationService`

### getConfigurationMail

    RemoteConfigurationMail getConfigurationMail()
                                                 throws java.rmi.RemoteException

  Gets the e-mail configuration.

  Returns:
    RemoteConfigurationService
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationMail`

### getConfigurationCache

    RemoteConfigurationCache getConfigurationCache()
                                                   throws java.rmi.RemoteException

  Gets the cache configuration.

  Returns:
    RemoteConfigurationCache
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationCache`

### getConfigurationPerformance

    RemoteConfigurationPerformance getConfigurationPerformance()
                                                               throws java.rmi.RemoteException

  Gets the performance configuration.

  Returns:
    RemoteConfigurationPerformance
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationPerformance`

### getConfigurationAdvanced

    RemoteConfigurationAdvanced getConfigurationAdvanced()
                                                         throws java.rmi.RemoteException

  Gets the advanced configuration.

  Returns:
    RemoteConfigurationAdvanced
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationAdvanced`

### getConfigurationLog

    RemoteConfigurationLog getConfigurationLog()
                                               throws java.rmi.RemoteException

  Gets the logo configuration.

  Returns:
    RemoteConfigurationLog
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationLog`

### getConfigurationLDAPServer

    RemoteConfigurationLDAPServer getConfigurationLDAPServer()
                                                             throws java.rmi.RemoteException

  Gets the LDAP Server configuration.

  Returns:
    RemoteConfigurationLDAPServer
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationLDAPServer`

### getConfigurationLDAP

    RemoteConfigurationLDAP getConfigurationLDAP()
                                                 throws java.rmi.RemoteException

  Gets the LDAP state configuration.

  Returns:
    RemoteConfigurationLDAP
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationLDAP`

### getConfigurationCluster

    RemoteConfigurationCluster getConfigurationCluster()
                                                       throws java.rmi.RemoteException

  Gets the configuration for cluster.

  Returns:
    RemoteConfigurationCluster
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationCluster`

### getConfigurationFax

    RemoteConfigurationFax getConfigurationFax()
                                               throws java.rmi.RemoteException

  Gets the configuration for Fax.

  Returns:
    RemoteConfigurationFax
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationFax`

### getConfigurationRMI

    RemoteConfigurationRMI getConfigurationRMI()
                                               throws java.rmi.RemoteException

  Gets the configuration for RMI server.

  Returns:
    RemoteConfigurationRMI
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationRMI`

### getConfigurationPrecisionMapping

    RemoteConfigurationPrecisionMapping getConfigurationPrecisionMapping()
                                                                         throws java.rmi.RemoteException

  Gets the configuration for precision mapping.

  Returns:
    RemoteConfigurationPrecisionMapping
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationPrecisionMapping`

### getConfigurationAdhocUpload

    RemoteConfigurationAdhocUpload getConfigurationAdhocUpload()
                                                               throws java.rmi.RemoteException

  Gets the configuration for Adhoc uploading.

  Returns:
    RemoteConfigurationAdhocUpload
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteConfigurationAdhocUpload`

### getCustomFieldManager

    RemoteCustomFieldManager getCustomFieldManager()
                                                   throws java.rmi.RemoteException

  Gets the custom field manager.

  Returns:
    RemoteCustomFieldManager
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteCustomFieldManager`

### getConfigurationGeoMap

    RemoteConfigurationGeoMap getConfigurationGeoMap()
                                                     throws java.rmi.RemoteException

  Gets the configuration for geography map.

  Returns:
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getOrgConfiguration

    RemoteOrgConfiguration getOrgConfiguration(java.lang.String orgName)
                                               throws java.rmi.RemoteException

  Get organization configuration.

  Returns:
    OrgConfiguration.
  Throws:
    `java.rmi.RemoteException`
  See Also:
    `OrgConfiguration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD